import React, { createContext, useContext, useState } from "react";

const FabContext = createContext();

export const FabProvider = ({ children }) => {
  const [actions, setActions] = useState([]);

  return (
    <FabContext.Provider value={{ actions, setActions }}>
      {children}
    </FabContext.Provider>
  );
};

export const useFab = () => useContext(FabContext);